toolzerhub API Docs

Get a player's shot chart (v1)

Returns a basketball or ice hockey player's shots in time order with coordinates and shot type. No shots returns data: null.

1 credit / requestBilled only on success
GET
/v1/sofascore/event/player/shot-chart

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

id*integer

Event id: the id of any event in a list, such as Get Sports Live Events.

Range1 <= value <= 10000000000
player_id*integer

Player id, from a lineup, a squad or Search Sports.

Range1 <= value <= 10000000000
curl -X GET "https://example.com/v1/sofascore/event/player/shot-chart?id=16670564&player_id=940775" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "property1": null,    "property2": null  },  "details": {    "reason": "string",    "message": "string"  }}